Class | Chef::ReservedNames::Win32::Security::ACE
In: | lib/chef/win32/security/ace.rb
Parent: | Object

### Methods

== access_allowed access_denied dup explicit? flags flags= inherited? mask mask= new pointer sid size size_with_sid to_s type

### Attributes

struct | [R] |

### Public Class methods

access_allowed(sid, mask, flags = 0)
access_denied(sid, mask, flags = 0)
new(pointer, owner = nil)
size_with_sid(sid)

### Public Instance methods

==(other)
dup()
explicit?()
flags()
flags=(val)
inherited?()
mask()
mask=(val)
pointer()
sid()
size()
to_s()
type()

[Validate]